using Fantasy;
using Fantasy.Async;
using Fantasy.Entitas;
using Fantasy.Network.Interface;
using NB.Map;

namespace NB.Game;

public class C2Game_GetRoleInfoRequestHandler : RouteRPC<Player, C2Game_GetRoleInfoRequest, Game2C_GetRoleInfoResponse>
{
    protected override async FTask Run(Player entity, C2Game_GetRoleInfoRequest request,
        Game2C_GetRoleInfoResponse response, Action reply)
    {
        response.RoomCode = "13AHVL";
        response.RoleInfo = entity.GetRoleInfo();

        await FTask.CompletedTask;
    }
}